LEIA Docs

Get curriculum generation status

GET
/course-creation/curriculum-jobs/{jobId}

Polls the status of an async curriculum generation job.

Authorization

AuthorizationBearer <token>

LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.

In: header

Path Parameters

jobId*string

The curriculum generation job ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/course-creation/curriculum-jobs/string"
{
  "jobId": "string",
  "status": "QUEUED",
  "phase": "string",
  "progress": 0,
  "errorReason": "string",
  "result": {},
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Valid LEIA API key required"
  }
}
{
  "error": {
    "code": "FORBIDDEN",
    "message": "API key service user must be a CREATOR user"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}